﻿Public Class Form1
    Private Values(,) As String

    ' Initialize the values.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ReDim Values(4, 3)
        For row As Integer = 0 To Values.GetUpperBound(0)
            For col As Integer = 0 To Values.GetUpperBound(1)
                Values(row, col) = "(" & row.ToString() & ", " & col.ToString() & ")"
            Next col
        Next row

        ' Display the values.
        ShowValues(lstValues, Values)
    End Sub

    ' Copy the values.
    Private Sub btnCopy_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCopy.Click
        Dim new_values(Values.GetUpperBound(0), Values.GetUpperBound(1)) As String
        Array.Copy(Values, new_values, Values.Length)

        ' Display the values.
        ShowValues(lstCopy, new_values)
    End Sub

    ' Display some values in a ListBox.
    Private Sub ShowValues(ByVal lst As ListBox, ByVal the_values(,) As String)
        lst.Items.Clear()
        For row As Integer = 0 To the_values.GetUpperBound(0)
            Dim str As String = ""
            For col As Integer = 0 To the_values.GetUpperBound(1)
                str &= the_values(row, col) & " "
            Next col
            str = str.Substring(0, str.Length - 1)
            lst.Items.Add(str)
        Next row
    End Sub
End Class
